Bug 72460 - rpm --rebuild failure, ld: .libs/libphp4.so: undefined versioned symbol name __dynamic_cast@@CXXABI_1
rpm --rebuild failure, ld: .libs/libphp4.so: undefined versioned symbol name ...
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: php (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Copeland
David Lawrence
ftp://updates.redhat.com/7.3/en/os/SR...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-23 18:32 EDT by D. Stimits
Modified: 2007-04-18 12:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-27 01:28:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of rpmbuild (587.96 KB, text/plain)
2002-08-28 17:21 EDT, Phil Copeland
no flags Details

  None (edit)
Description D. Stimits 2002-08-23 18:32:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0rc3) Gecko/20020528

Description of problem:
The new php-4.1.2-7.3.3 source rpm fails to rebuild. Rebuild machine is SMP RH
7.3, with system kept current. The rebuild message for failure (doing rebuild as
regular user) is:
/usr/bin/ld: .libs/libphp4.so: undefined versioned symbol name
__dynamic_cast@@CXXABI_1
/usr/bin/ld: failed to set dynamic section sizes: Bad value
collect2: ld returned 1 exit status
make[1]: *** [libphp4.la] Error 1
make[1]: Leaving directory `/home/home1/myuser/rpm/BUILD/php-4.1.2/build-apache'
make: *** [all-recursive] Error 1
error: Bad exit status from /home/home1/myuser/rpm/tmp/rpm-tmp.39406 (%build)




Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Obtain php-4.1.2-7.3.3.src.rpm
2.Regular user, on SMP system: rpm --rebuild php-4.1.2-7.3.3.src.rpm
3.Fails in link step, missing dynamic cast symbol.
	

Actual Results:  Linker fails, perhaps there is a name mangling issue involved.

Expected Results:  i386 rpms should be created.

Additional info:

This rpm is a security fix rpm.

System:
libstdc++-2.96-110
libstdc++-devel-2.96-110
glibc-2.2.5-36
glibc-common-2.2.5-36
glibc-debug-2.2.5-36
glibc-devel-2.2.5-36
glibc-kernheaders-2.4-7.16
glibc-profile-2.2.5-36
glibc-utils-2.2.5-36
glib-devel-1.2.10-5

Dual PIII, 2.4.19.
Comment 1 Phil Copeland 2002-08-26 14:33:53 EDT
[root@stripples dist-7.3-build]# /usr/sbin/chroot .
[root@stripples /]# rpm -qa | grep glibc 
glibc-kernheaders-2.4-7.14
glibc-debug-static-2.2.5-36
glibc-debug-2.2.5-36
compat-glibc-6.2-2.1.3.2
glibc-common-2.2.5-36
glibc-devel-2.2.5-36
glibc-utils-2.2.5-36
glibc-profile-2.2.5-36
glibc-2.2.5-36
[root@stripples /]# rpm -qa | grep libstdc
compat-libstdc++-6.2-2.9.0.16
libstdc++-devel-2.96-110
libstdc++-2.96-110


*scratch* well this is the system thet RPM is built apon, and it's got the same
levels as yourself. You arn't using ccache (http://ccache.samba.org/) by any
chance are you? it tends not to pickup glibc changes on the fly.

 I rebult the rpm on the build system and it does complete properly. I'm at a
loss as to whats going on in your system when you build it, but it looks like a
stdc++ linking error

[root@stripples /]# rpm -qf /usr/bin/ld
binutils-2.11.93.0.2-12
Comment 2 D. Stimits 2002-08-27 01:27:21 EDT
I am not using anyting unusual that I know of. I do not have samba installed,
nor any software that I know of from http://ccache.samba.org/.

My ld version:
# rpm -qf /usr/bin/ld
binutils-2.11.93.0.2-11

Looks like we differ in one patch level. As far as libstdc++ goes:
libstdc++-2.96-110
compat-libstdc++-6.2-2.9.0.16
libstdc++-devel-2.96-110
Comment 3 D. Stimits 2002-08-27 01:28:28 EDT
I forgot to add, for glibc, versions are:
glibc-devel-2.2.5-36
glibc-common-2.2.5-36
glibc-kernheaders-2.4-7.16
glibc-utils-2.2.5-36
glibc-profile-2.2.5-36
compat-glibc-6.2-2.1.3.2
glibc-debug-2.2.5-36
glibc-2.2.5-36
Comment 4 Phil Copeland 2002-08-28 17:21:07 EDT
Humm well I'm going to close this as everyone I've asked to recompile it on
their machines here can get it to compile. Something is terribly amiss on your box.

I'm attaching the rpmbuild --rebuild php-4.2.2-10.src.rpm output and closing
this bug

Phil
=--=
Comment 5 Phil Copeland 2002-08-28 17:21:46 EDT
Created attachment 73613 [details]
output of rpmbuild
Comment 6 Joe Orton 2002-09-26 05:02:08 EDT
There may be a build requirement for the latest gcc too here; please re-open if
anything is determined.

Note You need to log in before you can comment on or make changes to this bug.